Procedure Computation Instance
Get a list of ProcedureComputation objects. ProcedureComputations have a 1:1 mapping with Observations.
### Available end points:
- `/ProcedureComputations/` - Will list all ProcedureComputations in the database
- `/ProcedureComputations.json` - Will return all ProcedureComputations in json format
- `/ProcedureComputations/<object_id>/` - Returns ProcedureComputations object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `uuid`
- `title`
- `keywords`
- `abstract`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/computations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/computations/?title__startswith!=DETAILS NEEDED - COMPUTATION CREATED FOR SATELLITE COMPOSITE`
- `/computations/?abstract__contains=HadCM3 model`
GET /api/v2/computations/24957/?format=api
{
"ob_id": 24957,
"uuid": "f66c26bcf7684ed29d14a88825884a19",
"title": "BITMAP: Western Disturbance Tracks Algorithm",
"abstract": "Tracks generated using a bespoke tracking algorithm, identifying and linking upper-tropospheric vortices (described fully in Hunt et al, 2018, QJRMS - see linked documentation to this record), using data derived from ERA-Interim reanalysis data and selected CMIP5 model runs (with some modifications such as the vorticity level used).\r\n\r\nIn essence the algorithm works by:\r\n\r\n1. locating all mid-tropospheric relative vorticity maxima;\r\n\r\n2. group multiple peaks by using a neighbourhood filter, then integrate to find the parent vortex centre;\r\n\r\n3. link potential candidates together across time steps to form tracks using a nearest-neighbour approach incorporating local wind speed;\r\n\r\n4. surviving tracks are filtered by duration (> 2 days) and location (must pass through [20-36.5N, 60-80E]).",
"keywords": "BITMAP, India, Western disturbances, Vortices",
"inputDescription": null,
"outputDescription": null,
"softwareReference": null,
"identifier_set": []
}